关闭

导入android项目出现:出现Unable to resolve target 'android-8'错误及其他的一些解决办法

标签: jdkandroideclipse编译器compiler
8864人阅读 评论(2) 收藏 举报
分类:
1、出现 “Unable to resolve target 'android-9'”,
解决办法:
进入你的android project跟目录,找到此文件 project.properties(或default.properties),找到
target=android-9
出现此错是因为你的android环境跟此处不对应,那么,你只需要将此处的android版本改成你机器上配置的android版本即可,
例如target=android-15</div><div>
2、进入activity类中,一些重写的方法的地方总是出现 "Remove @Override annotation",
解决办法:
出现此错误的原因主要是 编译器 版本的 的问题,Java 1.5的编译器默认对父类的方法进行覆盖,采用@Override进行说明;
但1.6已经扩展到对接口的方法;所以如果还是以Java 1.5的编译器来编译的话,会出现错误,默认是java1.5的,你需要将它设置到1.6打开你的eclipse,
进入 window->Preferences->Java->Compiler 把它改为 Java 1.6即可
                                                                                        

1
1

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:176771次
    • 积分:2417
    • 等级:
    • 排名:第16886名
    • 原创:70篇
    • 转载:32篇
    • 译文:0篇
    • 评论:18条
    关于我

    [ 职业 ]: java工程师

    [ 总述 ]: 一个曾经以为可以改变世界的年轻人

    [ 致自己 ]
    世界有多残酷,
    我们就该有多坚强!

    [ 联系 ]: zhoudong_dream@163.com

    文章分类
    友情链接